# Uses of Class
org.opensaml.xmlsec.keyinfo.impl.X509KeyInfoGeneratorFactory.X509Options

Packages that use X509KeyInfoGeneratorFactory.X509Options
Package
Description
org.opensaml.xmlsec.keyinfo.impl
Interfaces and classes for working with XML KeyInfo elements.

## Uses of X509KeyInfoGeneratorFactory.X509Options in org.opensaml.xmlsec.keyinfo.impl

Fields in org.opensaml.xmlsec.keyinfo.impl declared as X509KeyInfoGeneratorFactory.X509Options
Modifier and Type
Field
Description
`private final X509KeyInfoGeneratorFactory.X509Options`
X509KeyInfoGeneratorFactory.`options`
The set of options configured for the factory.
`private X509KeyInfoGeneratorFactory.X509Options`
X509KeyInfoGeneratorFactory.X509KeyInfoGenerator.`options`
The set of options to be used by the generator.
Methods in org.opensaml.xmlsec.keyinfo.impl that return X509KeyInfoGeneratorFactory.X509Options
Modifier and Type
Method
Description
`protected X509KeyInfoGeneratorFactory.X509Options`
X509KeyInfoGeneratorFactory.X509Options.`clone()`
`protected X509KeyInfoGeneratorFactory.X509Options`
X509KeyInfoGeneratorFactory.`getOptions()`
Get the options of this instance.
`protected X509KeyInfoGeneratorFactory.X509Options`
X509KeyInfoGeneratorFactory.`newOptions()`
Get a new instance to hold options.
Constructors in org.opensaml.xmlsec.keyinfo.impl with parameters of type X509KeyInfoGeneratorFactory.X509Options
Modifier
Constructor
Description
`protected`
`X509KeyInfoGenerator(X509KeyInfoGeneratorFactory.X509Options newOptions, Class<? extends KeyInfo> type)`
Constructor.